import axios from "@/utils/request";

class ActivityService {
  // 获取活动列表
  static async getActivityList(params) {
    const res = await axios.get("/api/v1/marketing/background/marketing_list", {
      params
    });
    return res;
  }

  // 修改商品
  static async editGoodsDetail(query) {
    const res = await axios.post("/api/v1/goods/background/edit_goods", {
      ...query
    });
    return res;
  }
  // 关闭/开启 活动
  static async updateActivity(query) {
    const res = await axios.post(
      "/api/v1/marketing/background/update_marketing",
      {
        ...query
      }
    );
    return res;
  }

  // 查看活动订单
  static async checkActivityDetail(query) {
    const res = await axios.post(
      "/api/v1/marketing/background/marketing_info",
      {
        ...query
      }
    );
    return res;
  }
}

export default ActivityService;
